<% $Response.include( "header.inc" ) %>

<%
xml_data = <<XSL
<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet href="fuzface.xsl" type="text/xsl"?>

<!DOCTYPE commentary SYSTEM "commentary.dtd">

<commentary>
  <meta>  
    <author>
      <first_name>Sean</first_name>
      <last_name>Chittenden</last_name>
      <email>sean@chittenden.org</email>
    </author>
    <version>$Version$</version>
    <date>$Date: 2004/10/26 07:36:46 $</date>
    <id>$Id: xslt.asp,v 1.1.1.1 2004/10/26 07:36:46 greg Exp $</id>
    <title>Fuzface...</title>
    <subtitle>The Internet's a big place and here's some proof...</subtitle>
  </meta> 

  <body>  
    <para>  
      I think it's a tragedy that I'm going to start off my new
      commentary by talking about facial hair and the Internet.
      Something about that just screams pathetic, but whatever: it's
      humor and that's life.
    </para> 
    <para> 
      <ol>
        <li>
      I'm amazed that the Internet is big enough to foster the
      creation of such random and utterly useless information.  Then
      again, I've been on and using the Net since '95, so this
      shouldn't surprise me that much.
        </li>
      
        <li>
          There are a lot of guys out there with varying tastes in,
      shall we say, "facial hair styles," most of which I find
      pretty unappealing. 
        </li>
      
        <li>
      I don't like beards.  After one clogged drain, two
      reapplications of shaving cream, and a few pases with the
      razor, it took me about 5-10 minutes to get a nice cleanly
      shaven face.
        </li>
      
        <li> 
          &lt;crass comment&gt;And - back me up here fellas, you can
      sympathize with this feeling after you get done looking
      through a magazine for a hair-cut style (ladies.. just smile
      and nod and pretend you care) - after looking at a few dozen
      pictures of men, I was able to safely reaffirm my desire for
      heterosexual relations (translation from Bill Clintonese: have
      sex with a woman).  And with that thought in mind, I began to
      pine for the college porn collection of old.  Mmmm,
      Playboy.&lt;/crass comment&gt;
        </li> 
      </ol>
    </para>
      
    <para> 
      ::grin::  Until next time.  -Sean
    </para>
    
    <para style="ps">
      P.S.  To the guys out there with beards, this is just my
      opinion: take it with a grain of salt. 
    </para>
  </body>
</commentary>
XSL

xsl_data = <<XML
<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="/">
  <xsl:element name="html">
    <xsl:element name="head">
      <xsl:element name="title">Ramblings - <xsl:value-of select="commentary/meta/title" /> - <xsl:value-of select="commentary/meta/subtitle" /></xsl:element>      </xsl:element>

    <xsl:element name="body">
      <xsl:element name="h3"><xsl:value-of select="commentary/meta/title" /></xsl:element>
      <xsl:element name="b"><xsl:value-of select="commentary/meta/subtitle" /></xsl:element>
	  <xsl:element name="br" />
      By: <xsl:value-of select="commentary/meta/author/first_name" /> <xsl:value-of select="commentary/meta/author/last_name" /><xsl:element name="br" />
      Date: <xsl:value-of select="commentary/meta/date" /><xsl:element name="br" />                                                                             
      <xsl:for-each select="./commentary/body">
        <xsl:apply-templates />
      </xsl:for-each>

    </xsl:element>
  </xsl:element>
</xsl:template>

<xsl:template match="para">
  <xsl:element name="p">
    <xsl:apply-templates />
  </xsl:element>
</xsl:template>

<xsl:template match="ol">
  <xsl:element name="ol">
    <xsl:apply-templates select="li" />
  </xsl:element>
</xsl:template>

<xsl:template match="li">
  <xsl:element name="li">
    <xsl:value-of select="." />
  </xsl:element>
</xsl:template>

<xsl:template match="thought">
  <xsl:element name="i">
    <xsl:value-of select="." />
  </xsl:element>
</xsl:template>
</xsl:stylesheet>
XML

data = $Server.xslt( xsl_data, xml_data )
%>
<h2>Demo: xslt.asp</h2>
<%= data %>

<% $Response.include( "footer.inc" ) %>
